## dumb-init 1.0.3

=== Makefile ===
SHELL=bash
CFLAGS=-std=gnu99 -static -s -Wall -Werror -O3

TEST_PACKAGE_DEPS := build-essential python python-pip procps python-dev python-setuptools

DOCKER_RUN_TEST := docker run -v $(PWD):/mnt:ro

# test installation using Debian packages
DOCKER_DEB_TEST := sh -euxc ' \
	apt-get update \
	&& apt-get install -y --no-install-recommends $(TEST_PACKAGE_DEPS) \
	&& dpkg -i /mnt/dist/*.deb \
	&& tmp=$$(mktemp -d) \
	&& cp -r /mnt/* "$$tmp" \
	&& cd "$$tmp" \
	&& pip install --upgrade pip \
	&& hash -r \
	&& pip --version \
	&& pip install --upgrade setuptools distribute \
	&& pip install -r requirements-dev.txt \
	&& py.test tests/ \
	&& exec dumb-init /mnt/tests/test-zombies \
'

# test installation using `pip install`
DOCKER_PYTHON_TEST := sh -uexc ' \
	apt-get update \
	&& apt-get install -y --no-install-recommends $(TEST_PACKAGE_DEPS) \
	&& tmp=$$(mktemp -d) \
	&& cp -r /mnt/* "$$tmp" \
	&& cd "$$tmp" \
	&& python setup.py clean \
	&& python setup.py sdist \
	&& pip install --upgrade pip \
	&& hash -r \
	&& pip install --upgrade setuptools distribute \
	&& pip install -vv dist/*.tar.gz \
	&& pip install -r requirements-dev.txt \
	&& py.test tests/ \
	&& exec dumb-init /mnt/tests/test-zombies \
'

# test several Python versions using tox
DOCKER_TOX_TEST := sh -uexc ' \
	apt-key adv --recv-keys --keyserver keyserver.ubuntu.com 0x5BB92C09DB82666C \
	&& echo "deb http://ppa.launchpad.net/fkrull/deadsnakes/ubuntu xenial main" >> /etc/apt/sources.list \
	&& apt-get update \
	&& apt-get install -y --no-install-recommends python2.6-dev python2.7-dev python3.4-dev python3.5-dev git $(TEST_PACKAGE_DEPS) \
	&& echo "We cannot use the Ubuntu versions of tox or virtualenv:" \
	&& echo "https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=754248" \
	&& pip install tox virtualenv \
	&& hash -r \
	&& tmp=$$(mktemp -du) \
	&& cp -r /mnt "$$tmp" \
	&& cd "$$tmp" \
	&& tox \
'
.PHONY: build
build: VERSION.h
	$(CC) $(CFLAGS) -o dumb-init dumb-init.c

VERSION.h: VERSION
	echo '// THIS FILE IS AUTOMATICALLY GENERATED' > VERSION.h
	echo '// Run `make VERSION.h` to update it after modifying VERSION.' >> VERSION.h
	xxd -i VERSION >> VERSION.h

.PHONY: clean
clean: clean-tox
	rm -rf dumb-init dist/ *.deb

.PHONY: clean-tox
clean-tox:
	rm -rf .tox

.PHONY: release
release: sdist builddeb-docker
	$(eval VERSION := $(shell cat VERSION))
	# extract the built binary from the Debian package
	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_amd64.deb | \
		tar -C dist --strip=3 -xvf - ./usr/bin/dumb-init
	mv dist/dumb-init dist/dumb-init_$(VERSION)_amd64
	cd dist && \
		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 \
		> sha256sums

.PHONY: sdist
sdist: VERSION.h
	python setup.py sdist

.PHONY: builddeb
builddeb:
	debuild --set-envvar=CC=musl-gcc -us -uc -b
	mkdir -p dist
	mv ../dumb-init_*.deb dist/

.PHONY: builddeb-docker
builddeb-docker: docker-image
	mkdir -p dist
	docker run -v $(PWD):/mnt dumb-init-build

.PHONY: docker-image
docker-image:
	docker build -t dumb-init-build .

.PHONY: test
test:
	tox

.PHONY: install-hooks
install-hooks:
	tox -e pre-commit -- install -f --install-hooks

ITEST_TARGETS = itest_lucid itest_precise itest_trusty itest_xenial itest_wheezy itest_jessie itest_stretch

.PHONY: itest $(ITEST_TARGETS)
itest: $(ITEST_TARGETS)

itest_lucid: _itest-ubuntu-lucid
itest_precise: _itest-ubuntu-precise
itest_trusty: _itest-ubuntu-trusty
itest_xenial: _itest-ubuntu-xenial
itest_wheezy: _itest-debian-wheezy
itest_jessie: _itest-debian-jessie
itest_stretch: _itest-debian-stretch

itest_tox:
	$(DOCKER_RUN_TEST) ubuntu:xenial $(DOCKER_TOX_TEST)

_itest-%: _itest_deb-% _itest_python-%
	@true

_itest_python-%:
	$(DOCKER_RUN_TEST) $(shell sed 's/-/:/' <<< "$*") $(DOCKER_PYTHON_TEST)

_itest_deb-%: builddeb-docker
	$(DOCKER_RUN_TEST) $(shell sed 's/-/:/' <<< "$*") $(DOCKER_DEB_TEST)

=== debian/changelog ===
dumb-init (1.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Jun 2016 02:35:07 +1000

dumb-init (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.8.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 May 2016 18:03:56 +1000

dumb-init (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #810586).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 12 Mar 2016 21:12:55 +1100

## dumb-init 1.1.2

=== Makefile ===
SHELL=bash
CFLAGS=-std=gnu99 -static -s -Wall -Werror -O3

TEST_PACKAGE_DEPS := build-essential python python-pip procps python-dev python-setuptools

DOCKER_RUN_TEST := docker run -v $(PWD):/mnt:ro

.PHONY: build
build: VERSION.h
	$(CC) $(CFLAGS) -o dumb-init dumb-init.c

VERSION.h: VERSION
	echo '// THIS FILE IS AUTOMATICALLY GENERATED' > VERSION.h
	echo '// Run `make VERSION.h` to update it after modifying VERSION.' >> VERSION.h
	xxd -i VERSION >> VERSION.h

.PHONY: clean
clean: clean-tox
	rm -rf dumb-init dist/ *.deb

.PHONY: clean-tox
clean-tox:
	rm -rf .tox

.PHONY: release
release: sdist builddeb-docker
	$(eval VERSION := $(shell cat VERSION))
	# extract the built binary from the Debian package
	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_amd64.deb | \
		tar -C dist --strip=3 -xvf - ./usr/bin/dumb-init
	mv dist/dumb-init dist/dumb-init_$(VERSION)_amd64
	cd dist && \
		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 \
		> sha256sums

.PHONY: sdist
sdist: VERSION.h
	python setup.py sdist

.PHONY: builddeb
builddeb:
	debuild --set-envvar=CC=musl-gcc -us -uc -b
	mkdir -p dist
	mv ../dumb-init_*.deb dist/

.PHONY: builddeb-docker
builddeb-docker: docker-image
	mkdir -p dist
	docker run -v $(PWD):/mnt dumb-init-build

.PHONY: docker-image
docker-image:
	docker build -t dumb-init-build .

.PHONY: test
test:
	tox

.PHONY: install-hooks
install-hooks:
	tox -e pre-commit -- install -f --install-hooks

ITEST_TARGETS = itest_lucid itest_precise itest_trusty itest_xenial itest_wheezy itest_jessie itest_stretch

.PHONY: itest $(ITEST_TARGETS)
itest: $(ITEST_TARGETS)

itest_lucid: _itest-ubuntu-lucid
itest_precise: _itest-ubuntu-precise
itest_trusty: _itest-ubuntu-trusty
itest_xenial: _itest-ubuntu-xenial
itest_wheezy: _itest-debian-wheezy
itest_jessie: _itest-debian-jessie
itest_stretch: _itest-debian-stretch

itest_tox:
	$(DOCKER_RUN_TEST) ubuntu:xenial /mnt/ci/docker-tox-test

_itest-%: _itest_deb-% _itest_python-%
	@true

_itest_python-%:
	$(DOCKER_RUN_TEST) $(shell sed 's/-/:/' <<< "$*") /mnt/ci/docker-python-test

_itest_deb-%: builddeb-docker
	$(DOCKER_RUN_TEST) $(shell sed 's/-/:/' <<< "$*") /mnt/ci/docker-deb-test

=== debian/changelog ===
dumb-init (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Jul 2016 12:55:10 +1000

dumb-init (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 27 Jun 2016 15:33:31 +1000

=== debian/control ===
Source: dumb-init
Section: utils
Priority: extra
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9)
    ,help2man
## Tests:
    ,python
    ,python-mock
    ,python-pytest
Standards-Version: 3.9.8
Homepage: https://github.com/Yelp/dumb-init/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dumb-init.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dumb-init.git

Package: dumb-init
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: wrapper script which proxies signals to a child
 dumb-init is a simple process supervisor and init system designed to run
 as PID 1 inside minimal container environments (such as Docker).
 .
 Lightweight containers have popularized the idea of running a single
 process or service without normal init systems like systemd or sysvinit.
 However, omitting an init system often leads to incorrect handling of
 processes and signals, and can result in problems such as containers
 which can't be gracefully stopped, or leaking containers which should
 have been destroyed.
 .
 dumb-init acts as PID 1 and immediately spawns your command as a child
 process, taking care to properly handle and forward signals as they are
 received.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

MAN=debian/dumb-init.1

override_dh_clean:
	$(RM) -rv .cache
	dh_clean \
            $(MAN)

$(MAN):
	help2man \
            --name 'a minimal init system for Linux containers' \
            --no-discard-stderr \
            --include debian/help2man \
            --no-info \
            ./dumb-init > $@

override_dh_installman: $(MAN)
	dh_installman

override_dh_auto_test:
	PATH=.:$$PATH py.test tests/

## dumb-init 1.2.0

=== Makefile ===
--- 
+++ 
@@ -55,6 +55,7 @@
 .PHONY: test
 test:
 	tox
+	tox -e pre-commit
 
 .PHONY: install-hooks
 install-hooks:

=== debian/changelog ===
dumb-init (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * rules: respect "DEB_BUILD_OPTIONS=nocheck".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 13 Oct 2016 14:04:35 +1100

## dumb-init 1.2.1

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 	rm -rf .tox
 
 .PHONY: release
-release: sdist builddeb-docker
+release: python-dists builddeb-docker
 	$(eval VERSION := $(shell cat VERSION))
 	# extract the built binary from the Debian package
 	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_amd64.deb | \
@@ -33,9 +33,17 @@
 		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 \
 		> sha256sums
 
-.PHONY: sdist
-sdist: VERSION.h
+.PHONY: python-dists
+python-dists: VERSION.h
 	python setup.py sdist
+	docker run \
+		--user $$(id -u):$$(id -g) \
+		-v $(PWD)/dist:/dist:rw \
+		quay.io/pypa/manylinux1_x86_64:latest \
+		bash -exc ' \
+			/opt/python/cp35-cp35m/bin/pip wheel --wheel-dir /tmp /dist/*.tar.gz && \
+			auditwheel repair --wheel-dir /dist /tmp/*.whl --wheel-dir /dist \
+		'
 
 .PHONY: builddeb
 builddeb:
@@ -61,16 +69,13 @@
 install-hooks:
 	tox -e pre-commit -- install -f --install-hooks
 
-ITEST_TARGETS = itest_lucid itest_precise itest_trusty itest_xenial itest_wheezy itest_jessie itest_stretch
+ITEST_TARGETS = itest_trusty itest_xenial itest_jessie itest_stretch
 
 .PHONY: itest $(ITEST_TARGETS)
 itest: $(ITEST_TARGETS)
 
-itest_lucid: _itest-ubuntu-lucid
-itest_precise: _itest-ubuntu-precise
 itest_trusty: _itest-ubuntu-trusty
 itest_xenial: _itest-ubuntu-xenial
-itest_wheezy: _itest-debian-wheezy
 itest_jessie: _itest-debian-jessie
 itest_stretch: _itest-debian-stretch

=== debian/changelog ===
dumb-init (1.2.1-1) unstable; urgency=medium

  * New upstream release.
  * Debhelper & compat to version 10.
  * Standards-Version: 4.1.3; Priority: optional.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 17 Jan 2018 10:54:46 +1100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dumb-init
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
     ,help2man
 ## Tests:
     ,python
     ,python-mock
     ,python-pytest
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/Yelp/dumb-init/
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dumb-init.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dumb-init.git

=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,6 @@
 	dh_installman
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PATH=.:$$PATH py.test tests/
+endif

=== debian/watch ===
version=3

 https://github.com/Yelp/dumb-init/releases \
 .*/archive/v?(\d[-\d\.]+)\.tar\.gz

## dumb-init 1.2.2

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 TEST_PACKAGE_DEPS := build-essential python python-pip procps python-dev python-setuptools
 
 DOCKER_RUN_TEST := docker run -v $(PWD):/mnt:ro
+VERSION = $(shell cat VERSION)
 
 .PHONY: build
 build: VERSION.h
@@ -23,14 +24,9 @@
 	rm -rf .tox
 
 .PHONY: release
-release: python-dists builddeb-docker
-	$(eval VERSION := $(shell cat VERSION))
-	# extract the built binary from the Debian package
-	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_amd64.deb | \
-		tar -C dist --strip=3 -xvf - ./usr/bin/dumb-init
-	mv dist/dumb-init dist/dumb-init_$(VERSION)_amd64
+release: python-dists
 	cd dist && \
-		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 \
+		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 dumb-init_$(VERSION)_ppc64el.deb dumb-init_$(VERSION)_ppc64el \
 		> sha256sums
 
 .PHONY: python-dists
@@ -50,6 +46,10 @@
 	debuild --set-envvar=CC=musl-gcc -us -uc -b
 	mkdir -p dist
 	mv ../dumb-init_*.deb dist/
+	# Extract the built binary from the Debian package
+	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_$(shell dpkg --print-architecture).deb | \
+		tar -C dist --strip=3 -xvf - ./usr/bin/dumb-init
+	mv dist/dumb-init dist/dumb-init_$(VERSION)_$(shell dpkg --print-architecture)
 
 .PHONY: builddeb-docker
 builddeb-docker: docker-image
@@ -69,18 +69,18 @@
 install-hooks:
 	tox -e pre-commit -- install -f --install-hooks
 
-ITEST_TARGETS = itest_trusty itest_xenial itest_jessie itest_stretch
+ITEST_TARGETS = itest_trusty itest_xenial itest_bionic itest_stretch
 
 .PHONY: itest $(ITEST_TARGETS)
 itest: $(ITEST_TARGETS)
 
 itest_trusty: _itest-ubuntu-trusty
 itest_xenial: _itest-ubuntu-xenial
-itest_jessie: _itest-debian-jessie
+itest_bionic: _itest-ubuntu-bionic
 itest_stretch: _itest-debian-stretch
 
 itest_tox:
-	$(DOCKER_RUN_TEST) ubuntu:xenial /mnt/ci/docker-tox-test
+	$(DOCKER_RUN_TEST) ubuntu:bionic /mnt/ci/docker-tox-test
 
 _itest-%: _itest_deb-% _itest_python-%
 	@true

=== debian/changelog ===
dumb-init (1.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Run test with python3. (Closes: #936455)

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 23 Jan 2020 10:36:55 +0800

dumb-init (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add increase-test-sleep-time.patch to fix tests on slow
    machines. (Closes: #915311)

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 16 Feb 2019 02:46:54 +0800

dumb-init (1.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Dmitry Smirnov ]
  * New upstream release.
    + fixes test failures on mips* (Closes: #915311).
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 27 Jan 2019 17:30:06 +1100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: dumb-init
 Section: utils
 Priority: optional
+Standards-Version: 4.3.0
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Uploaders: Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 10)
     ,help2man
 ## Tests:
-    ,python
-    ,python-mock
-    ,python-pytest
-Standards-Version: 4.1.3
+    ,python3
+    ,python3-mock
+    ,python3-pytest
 Homepage: https://github.com/Yelp/dumb-init/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dumb-init.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/dumb-init.git
+Vcs-Browser: https://salsa.debian.org/debian/dumb-init
+Vcs-Git: https://salsa.debian.org/debian/dumb-init.git
 
 Package: dumb-init
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -28,5 +28,5 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	PATH=.:$$PATH py.test tests/
+	PATH=.:$$PATH py.test-3 tests/
 endif

## dumb-init 1.2.5

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 .PHONY: release
 release: python-dists
 	cd dist && \
-		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_amd64 dumb-init_$(VERSION)_ppc64el.deb dumb-init_$(VERSION)_ppc64el \
+		sha256sum --binary dumb-init_$(VERSION)_amd64.deb dumb-init_$(VERSION)_x86_64 dumb-init_$(VERSION)_ppc64el.deb dumb-init_$(VERSION)_ppc64le dumb-init_$(VERSION)_s390x.deb dumb-init_$(VERSION)_s390x dumb-init_$(VERSION)_arm64.deb dumb-init_$(VERSION)_aarch64 \
 		> sha256sums
 
 .PHONY: python-dists
@@ -49,12 +49,12 @@
 	# Extract the built binary from the Debian package
 	dpkg-deb --fsys-tarfile dist/dumb-init_$(VERSION)_$(shell dpkg --print-architecture).deb | \
 		tar -C dist --strip=3 -xvf - ./usr/bin/dumb-init
-	mv dist/dumb-init dist/dumb-init_$(VERSION)_$(shell dpkg --print-architecture)
+	mv dist/dumb-init dist/dumb-init_$(VERSION)_$(shell uname -m)
 
 .PHONY: builddeb-docker
 builddeb-docker: docker-image
 	mkdir -p dist
-	docker run -v $(PWD):/mnt dumb-init-build
+	docker run --user $$(id -u):$$(id -g) -v $(PWD):/tmp/mnt dumb-init-build
 
 .PHONY: docker-image
 docker-image:
@@ -69,18 +69,16 @@
 install-hooks:
 	tox -e pre-commit -- install -f --install-hooks
 
-ITEST_TARGETS = itest_trusty itest_xenial itest_bionic itest_stretch
+ITEST_TARGETS = itest_focal itest_buster
 
 .PHONY: itest $(ITEST_TARGETS)
 itest: $(ITEST_TARGETS)
 
-itest_trusty: _itest-ubuntu-trusty
-itest_xenial: _itest-ubuntu-xenial
-itest_bionic: _itest-ubuntu-bionic
-itest_stretch: _itest-debian-stretch
+itest_focal: _itest-ubuntu-focal
+itest_buster: _itest-debian-buster
 
 itest_tox:
-	$(DOCKER_RUN_TEST) ubuntu:bionic /mnt/ci/docker-tox-test
+	$(DOCKER_RUN_TEST) debian:buster /mnt/ci/docker-tox-test
 
 _itest-%: _itest_deb-% _itest_python-%
 	@true

=== debian/changelog ===
dumb-init (1.2.5-3) unstable; urgency=medium

  * Add python3-py to Build-Depends
  * Add python3-py to autopkgtest Depends (Closes: #1040413)
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 28 Jul 2023 00:23:58 +0800

dumb-init (1.2.5-2) unstable; urgency=medium

  * Fix uscan watch file
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 06 Feb 2022 23:34:44 +0800

dumb-init (1.2.5-1) unstable; urgency=medium

  * New upstream version (Closes: #977292)
  * Add myself to Uploaders
  * Bump debhelper-compat to 13
  * Bump Standards-Version to 4.5.1 (no changes)
  * Add Rules-Requires-Root
  * Drop patch applied in new version
  * Bump uscan watch file version to 4
  * No longer need python3-mock
  * Add autopkgtest

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 14 Dec 2020 22:57:25 +0800

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,27 @@
 Source: dumb-init
 Section: utils
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.6.2
 Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
-Uploaders: Dmitry Smirnov <onlyjob@debian.org>
-Build-Depends: debhelper (>= 10)
-    ,help2man
-## Tests:
-    ,python3
-    ,python3-mock
-    ,python3-pytest
+Uploaders:
+ Dmitry Smirnov <onlyjob@debian.org>,
+ Shengjing Zhu <zhsj@debian.org>,
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ help2man,
+ python3,
+ python3-py,
+ python3-pytest,
 Homepage: https://github.com/Yelp/dumb-init/
 Vcs-Browser: https://salsa.debian.org/debian/dumb-init
 Vcs-Git: https://salsa.debian.org/debian/dumb-init.git
 
 Package: dumb-init
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: wrapper script which proxies signals to a child
  dumb-init is a simple process supervisor and init system designed to run
  as PID 1 inside minimal container environments (such as Docker).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

MAN=debian/dumb-init.1

$(MAN):
	help2man \
      --name 'a minimal init system for Linux containers' \
      --no-discard-stderr \
      --include debian/help2man \
      --no-info \
      ./dumb-init > $@

override_dh_installman: $(MAN)
	dh_installman

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PATH=.:$$PATH py.test-3 tests/
endif

=== debian/tests/control ===
Test-Command: py.test-3 -k "not setsid_signals_entire_group and not no_setsid_doesnt_signal_entire_group" tests/
Depends:
 python3,
 python3-py,
 python3-pytest,
 @,
Restrictions: needs-root
